Skip to main content
PATCH
Update Employee Time Off Request

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required
subResourceId
string
required

Body

application/json
approver_id
string | null

The approver ID

Example:

"1687-4"

status
object | null

The status of the time off request

type
object | null
deprecated

The type of the time off request

start_date
string<datetime-local> | null

The start date of the time off request (ISO8601 date-time without timezone)

Example:

"2021-01-01T01:01:01.000"

end_date
string<datetime-local> | null

Inclusive end date of the time off request (ISO8601 date-time without timezone). The time off includes this day

Example:

"2021-01-01T01:01:01.000"

start_half_day

True if the start of the time off request begins half way through the day

Example:

true

end_half_day

True if the end of the time off request ends half way through the day

Example:

true

time_off_policy_id
string | null

The time off policy id associated with this time off request

Example:

"cx280928933"

reason
object | null
comment
string | null

Allows users to provide additional context or notes for their time off request

Example:

"Taking a day off for personal reasons"

passthrough
object | null

Value to pass through to the provider

Example:

Response

Record updated successfully

statusCode
number
required
Example:

201

message
string
required
Example:

"Record created successfully."

timestamp
string<date-time>
required
Example:

"2021-01-01T01:01:01.000Z"

data
object
required